classification
Title: Libary select docs enhance
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Manjusaka, docs@python, miss-islington, xiang.zhang
Priority: normal Keywords: patch

Created on 2018-12-14 16:19 by Manjusaka, last changed 2018-12-19 12:06 by xiang.zhang. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11162 merged Manjusaka, 2018-12-14 16:24
PR 11235 merged miss-islington, 2018-12-19 12:00
Messages (3)
msg331840 - (view) Author: Manjusaka (Manjusaka) * Date: 2018-12-14 16:19
Since Python 3.7, Python adds a mask variable named EPOLLEXCLUSIVE for select.epoll. The mask variable is supported by the Linux Kernel since Kernel 4.5. So we can add a tip in this part of Python docs to notice the people the case.
msg332131 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2018-12-19 11:59
New changeset 92330c0b6d6c253c41a133cc50caea4853c7e311 by Xiang Zhang (Manjusaka) in branch 'master':
bpo-35497: add versionadded tag for EPOLLEXCLUSIVE (GH-11162)
https://github.com/python/cpython/commit/92330c0b6d6c253c41a133cc50caea4853c7e311
msg332133 - (view) Author: miss-islington (miss-islington) Date: 2018-12-19 12:05
New changeset a11d44056e4f9b64d28efec295e1c1c45d4cb9e1 by Miss Islington (bot) in branch '3.7':
bpo-35497: add versionadded tag for EPOLLEXCLUSIVE (GH-11162)
https://github.com/python/cpython/commit/a11d44056e4f9b64d28efec295e1c1c45d4cb9e1
History
Date User Action Args
2018-12-19 12:06:44xiang.zhangsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-12-19 12:05:52miss-islingtonsetnosy: + miss-islington
messages: + msg332133
2018-12-19 12:00:04miss-islingtonsetpull_requests: + pull_request10469
2018-12-19 11:59:55xiang.zhangsetmessages: + msg332131
2018-12-18 05:26:30xiang.zhangsetnosy: + xiang.zhang, docs@python

assignee: docs@python
components: + Documentation, - Library (Lib)
versions: + Python 3.8
2018-12-14 16:24:29Manjusakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request10398
2018-12-14 16:19:12Manjusakacreate